// Package consts ...
//
// Description : consts ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-04-08 16:33
package consts

const (
	DataTypeInt         = "int"              // int类型 -> int64
	DataTypeUint        = "uint"             // uint类型 -> uint64
	DataTypeFloat       = "float"            // float类型 -> float64
	DataTypeBool        = "bool"             // bool类型
	DataTypeString      = "string"           // 字符串类型
	DataTypeSliceInt    = "[]int"            // int数组 -> []int64
	DataTypeSliceUint   = "[]uint"           // uint数组 -> []uint64
	DataTypeSliceFloat  = "[]float"          // float数组 -> []float64
	DataTypeSliceBool   = "[]bool"           // bool数组 -> []bool
	DataTypeSliceString = "[]string"         // 字符串数组 -> []string
	DataTypeMapStrInt   = "map[string]int"   // map -> map[string]int64
	DataTypeMapStrUint  = "map[string]uint"  // map -> map[string]uint64
	DataTypeMapStrFloat = "map[string]float" // map -> map[string]float64
	DataTypeMapStrBool  = "map[string]bool"  // map -> map[string]bool
	DataTypeMapStrAny   = "map[string]any"   // map -> map[string]interface{}
	DataTypeMapAnyAny   = "map[any]any"      // map -> map[interface{}]interface{}
	DataTypeMapStrSlice = "map[string][]any" // map -> map[string][]interface{}
	DataTypeAny         = "any"              // 任意类型 -> interface{}
)
